import 'dart:async';
import 'dart:io';
import 'package:flutter/services.dart';

class ShuftiproSdk {
  static const MethodChannel _platform = MethodChannel('com.example.package_sample/sendAndroid');
  static Future<String> sendRequestToAndroid({ required Map<String,Object> authObject,
    required Map<String,Object> createdPayload,
    required Map<String,Object> configObject,
}) async{
    String value = "";
      try {
        value = await _platform.invokeMethod('sendRequest',<String, dynamic>{
          'AuthObj': authObject,
          'RequestObj': createdPayload,
          'ConfigObj': configObject,
        });
        print(value.toString());
      }catch(e){
        print(e);
      }
    return value;
  }
}
